Bug 154011 - knotify, bug on startup session
Summary: knotify, bug on startup session
Status: RESOLVED DUPLICATE of bug 158088
Alias: None
Product: Phonon
Classification: Unclassified
Component: Xine backend (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matthias Kretz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-14 10:23 UTC by jerome
Modified: 2008-07-21 18:02 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jerome 2007-12-14 10:23:39 UTC
Version:           4.97 (using KDE KDE 3.97.0)
Installed from:    Debian testing/unstable Packages
Compiler:          gcc 4.2/4.1(not sure) 
OS:                Linux

Oups, I've posted in a solved bug before ^^

knotify bug on startup, which open a new knotify window, and a new window....etc a big loop ^^

So I'm unable to kill knotify(about 56 windows opened :( ).
I will try to send you some log, but tell me wich log you want to debug knotify crash.

I'm using debian experimental packages on debian official repository to test KDE4, and I've made apt-get remove --purge ... to make a clean install of the RC2.

I'm using ~/.kde4/share/config/startupconfigkeys file for the first kde startup.
Comment 1 Olivier Goffart 2007-12-16 15:05:43 UTC
What does contains that knotify window ? Is there an error message or somethinhg ?
Comment 2 jerome 2007-12-17 13:09:12 UTC
Ok I'm able to start kde, but knotify is already crazy.
So I've saved the log, and I attached it in the topic
Comment 3 jerome 2007-12-17 13:16:19 UTC
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0x2b033b9a7770 (LWP 7649)]
[KCrash handler]
#4  0x00002b033744cfd5 in raise () from /lib/libc.so.6
#5  0x00002b033744ea30 in abort () from /lib/libc.so.6
#6  0x00002b0337491f1c in free_check () from /lib/libc.so.6
#7  0x00002b0337492b77 in free () from /lib/libc.so.6
#8  0x00002b033e8c61ad in ?? () from /usr/lib/libxine.so.2
#9  0x00002b033e8c6244 in ?? () from /usr/lib/libxine.so.2
#10 0x00002b033e896133 in xine_init () from /usr/lib/libxine.so.2
#11 0x00002b033e64081a in Backend (this=0x7394f0, 
    parent=<value optimized out>)
    at /tmp/buildd/kdebase-runtime-3.97.0/phonon/xine/backend.cpp:84
#12 0x00002b033e642778 in KPluginFactory::createInstance<Phonon::Xine::Backend, QObject> (parentWidget=<value optimized out>, parent=<value optimized out>, 
    args=@0x7fff75734540) at /usr/include/kpluginfactory.h:459
#13 0x00002b0335aab9f1 in KPluginFactory::create (this=0x734af0, 
    iface=0x2b03356f2980 "QObject", parentWidget=0x0, parent=0x0, 
    args=@0x7fff75734540, keyword=<value optimized out>)
    at /build/buildd/kde4libs-3.97.0/kdecore/util/kpluginfactory.cpp:181
#14 0x00002b033d1ff951 in KPluginFactory::create<QObject> (this=0x734af0, 
    parentWidget=0x0, parent=0x0, keyword=@0x7fff75734440, 
    args=@0x7fff75734540)
    at /build/buildd/kde4libs-3.97.0/kdecore/util/kpluginfactory.h:513
#15 0x00002b033d1ffbb1 in KService::createInstance<QObject> (this=0x732c00, 
    parentWidget=0x0, parent=0x0, args=@0x7fff75734540, error=0x7fff75734550)
    at /build/buildd/kde4libs-3.97.0/kdecore/services/kservice.h:517
#16 0x00002b033d1fdf10 in Phonon::KdePlatformPlugin::createBackend (
    this=<value optimized out>, newService=@0x7fff757345b0)
    at /build/buildd/kde4libs-3.97.0/phonon/platform_kde/kdepluginfactory.cpp:139
#17 0x00002b033d1fe5ae in Phonon::KdePlatformPlugin::createBackend (
    this=0x716e70)
    at /build/buildd/kde4libs-3.97.0/phonon/platform_kde/kdepluginfactory.cpp:168
#18 0x00002b0336ef5f17 in Phonon::FactoryPrivate::createBackend (
    this=0x715b00) at /build/buildd/kde4libs-3.97.0/phonon/factory.cpp:65
#19 0x00002b0336ef648e in Phonon::Factory::backend (createWhenNull=true)
    at /build/buildd/kde4libs-3.97.0/phonon/factory.cpp:313
#20 0x00002b0336ef3dbc in Phonon::GlobalConfig::audioOutputDeviceListFor (
    this=<value optimized out>, category=Phonon::NotificationCategory)
    at /build/buildd/kde4libs-3.97.0/phonon/globalconfig.cpp:92
#21 0x00002b0336ef402b in Phonon::GlobalConfig::audioOutputDeviceFor (
    this=0x1de1, category=6)
    at /build/buildd/kde4libs-3.97.0/phonon/globalconfig.cpp:132
#22 0x00002b0336ef2517 in Phonon::AudioOutputPrivate::init (this=0x716450, 
    c=7649) at /build/buildd/kde4libs-3.97.0/phonon/audiooutput.cpp:56
#23 0x000000000040c41e in Player (this=0x7158a0)
    at /tmp/buildd/kdebase-runtime-3.97.0/knotify/notifybysound.cpp:57
#24 0x000000000040a770 in PlayerPool::getPlayer (this=0x70c638)
    at /tmp/buildd/kdebase-runtime-3.97.0/knotify/notifybysound.cpp:96
#25 0x000000000040aaee in NotifyBySound::notify (this=0x6e8830, eventId=2, 
    config=0x7fff75734c10)
    at /tmp/buildd/kdebase-runtime-3.97.0/knotify/notifybysound.cpp:224
#26 0x000000000040642e in KNotify::emitEvent (this=<value optimized out>, 
    e=0x70bb70) at /tmp/buildd/kdebase-runtime-3.97.0/knotify/knotify.cpp:172
#27 0x00000000004068de in KNotify::event (this=0x7fff75735e20, 
    event=@0x637a30, appname=@0x6343a0, contexts=<value optimized out>, 
    text=<value optimized out>, pixmap=@0x7fff75734e80, actions=@0x6984d0, 
    winId=0) at /tmp/buildd/kdebase-runtime-3.97.0/knotify/knotify.cpp:122
#28 0x0000000000406b57 in KNotifyAdaptor::event (this=0x70d5f0, 
    event=@0x637a30, fromApp=@0x6343a0, contexts=<value optimized out>, 
    text=@0x698530, image=@0x69b760, actions=@0x6984d0, winId=0)
    at /tmp/buildd/kdebase-runtime-3.97.0/knotify/knotify.cpp:231
#29 0x0000000000407270 in KNotifyAdaptor::qt_metacall (this=0x70d5f0, 
    _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, 
    _a=0x7fff75735000)
    at /tmp/buildd/kdebase-runtime-3.97.0/obj-x86_64-linux-gnu/knotify/knotify.moc:207
#30 0x00002b0336c92436 in QDBusConnectionPrivate::deliverCall (this=0x62c450, 
    object=0x1de1, msg=@0x6e99d8, metaTypes=@0x633fd0, slotIdx=8)
    at qdbusintegrator.cpp:837
#31 0x00002b0336c9309d in QDBusConnectionPrivate::activateCall (
    this=0x62c450, object=0x70d5f0, flags=273, msg=@0x6e99d8)
    at qdbusintegrator.cpp:749
#32 0x00002b0336c93b55 in QDBusConnectionPrivate::activateObject (
    this=0x62c450, node=@0x6e99b0, msg=@0x6e99d8, 
    pathStartPos=<value optimized out>) at qdbusintegrator.cpp:1269
#33 0x00002b0336c93be8 in QDBusActivateObjectEvent::placeMetaCall (
    this=0x6e9960) at qdbusintegrator.cpp:1382
#34 0x00002b033569b6b8 in QObject::event (this=0x7fff75735e20, 
    e=0xffffffffffffffff) at kernel/qobject.cpp:1128
#35 0x00002b0335ed72eb in QApplicationPrivate::notify_helper (this=0x634ec0, 
    receiver=0x7fff75735e20, e=0x6e9960) at kernel/qapplication.cpp:3556
#36 0x00002b0335edac73 in QApplication::notify (this=0x7fff75735e50, 
    receiver=0x7fff75735e20, e=0x6e9960) at kernel/qapplication.cpp:3497
#37 0x00002b03368d3671 in KApplication::notify (this=0x7fff75735e50, 
    receiver=0x7fff75735e20, event=0x6e9960)
    at /build/buildd/kde4libs-3.97.0/kdeui/kernel/kapplication.cpp:319
#38 0x00002b033568a510 in QCoreApplication::notifyInternal (
    this=0x7fff75735e50, receiver=0x7fff75735e20, event=0x6e9960)
    at kernel/qcoreapplication.cpp:530
#39 0x00002b033568b8ea in QCoreApplicationPrivate::sendPostedEvents (
    receiver=0x0, event_type=0, data=0x616ff0)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:200
#40 0x00002b03356ab20c in postEventSourceDispatch (s=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:207
#41 0x00002b0337dcee24 in g_main_context_dispatch ()
   from /usr/lib/libglib-2.0.so.0
#42 0x00002b0337dd210d in ?? () from /usr/lib/libglib-2.0.so.0
#43 0x00002b0337dd25de in g_main_context_iteration ()
   from /usr/lib/libglib-2.0.so.0
#44 0x00002b03356ab541 in QEventDispatcherGlib::processEvents (this=0x633200, 
    flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:338
#45 0x00002b0335f4cc1f in QGuiEventDispatcherGlib::processEvents (
    this=0x1de1, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:191
#46 0x00002b03356899f8 in QEventLoop::processEvents (
    this=<value optimized out>, flags=<value optimized out>)
    at kernel/qeventloop.cpp:140
#47 0x00002b0335689b16 in QEventLoop::exec (this=0x7fff75735d90, 
    flags=@0x7fff75735da0) at kernel/qeventloop.cpp:182
#48 0x00002b033568bc71 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:759
#49 0x0000000000405e3f in main (argc=1, argv=0x7fff757361f8)
    at /tmp/buildd/kdebase-runtime-3.97.0/knotify/main.cpp:68
#50 0x00002b03374391c4 in __libc_start_main () from /lib/libc.so.6
#51 0x00000000004057f9 in _start ()
#0  0x00002b03374b84a5 in waitpid () from /lib/libc.so.6
Comment 4 jerome 2007-12-17 13:18:17 UTC
I missed to tell you I'm using debian amd64 version.
Comment 5 Matthias Kretz 2007-12-17 14:25:34 UTC
Sorry, but the backtrace is useless. Please install libxine2-dbg to get a backtrace with more information. Also you're using libxine-1.1.90 which is not supported. Get 1.1.8 or better 1.1.9.
Comment 6 jerome 2007-12-17 14:54:15 UTC
Ok, no problem. I'll do it in the afternoon and retry a kde session.
thanks 
Comment 7 Michael 2008-03-09 13:10:50 UTC
Will this do?  KDE4-svn, compiled on Gentoo Amd64.

Application: KNotify (knotify4), signal SIGABRT
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0x2b0353595cf0 (LWP 8948)]
[New Thread 0x44007950 (LWP 8960)]
[New Thread 0x43806950 (LWP 8959)]
[New Thread 0x43005950 (LWP 8958)]
[New Thread 0x42804950 (LWP 8957)]
[New Thread 0x42003950 (LWP 8956)]
[New Thread 0x41802950 (LWP 8955)]
[New Thread 0x41001950 (LWP 8954)]
[New Thread 0x40800950 (LWP 8951)]
[KCrash handler]
#5  0x00002b035193a3c5 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00002b035193b73e in *__GI_abort () at abort.c:88
#7  0x00002b0351933b1f in *__GI___assert_fail (
    assertion=0x2b03568dd350 "plug->gen.slave == plug->req_slave",
    file=0x2b03568dd31a "pcm_plug.c", line=67,
    function=0x2b03568dd5a0 "snd_pcm_plug_close") at assert.c:78
#8  0x00002b03568b0614 in snd_pcm_plug_close (pcm=0xe02c50) at pcm_plug.c:67
#9  0x00002b035689bb35 in snd_pcm_close (pcm=0xe02c50) at pcm.c:707
#10 0x00002aaaaaab2967 in ao_alsa_open (this_gen=0x8055b0, bits=16,
    rate=48000, mode=<value optimized out>) at audio_alsa_out.c:620
#11 0x00002b0356616e53 in ao_change_settings (this=0x81b790, bits=16, rate=6,
    mode=4) at audio_out.c:1438
#12 0x00002b03566190ff in ao_open (this_gen=0x81b790, stream=0x6d1620,
    bits=16, rate=44100, mode=4) at audio_out.c:1497
#13 0x00002aaaaf5555b6 in vorbis_decode_data (this_gen=0xdedbd0,
    buf=<value optimized out>) at xine_vorbis_decoder.c:205
#14 0x00002b0356613a51 in audio_decoder_loop (
    stream_gen=<value optimized out>) at audio_decoder.c:360
#15 0x00002b034d08a047 in start_thread (arg=<value optimized out>)
    at pthread_create.c:296
#16 0x00002b03519ca28d in clone () from /lib64/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x44007950 (LWP 8960)):
#0  0x00002b034d08e6a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00002b035661b1fb in xine_event_wait (queue=0xdd2450) at events.c:56
#2  0x00002b035661b275 in listener_loop (queue_gen=<value optimized out>)
    at events.c:214
#3  0x00002b034d08a047 in start_thread (arg=<value optimized out>)
    at pthread_create.c:296
#4  0x00002b03519ca28d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x2b0353595cf0 (LWP 8948)):
#0  0x00002b034d08e897 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00002b034ccaeb57 in QWaitCondition::wait (this=<value optimized out>,
    mutex=0x95d060, time=10000) at thread/qwaitcondition_unix.cpp:86
#2  0x00002b034ccadf76 in QThread::wait (this=<value optimized out>,
    time=10000) at thread/qthread_unix.cpp:561
#3  0x00002b035638fee4 in ~XineEngine (this=0x735ba0)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/runtime/phonon/xine/xineengine.cpp:86
#4  0x00002b03563a4c26 in ~Backend (this=0x7317d0)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/runtime/phonon/xine/backend.cpp:96
#5  0x00002b035061b36e in ~FactoryPrivate (this=0x6fb660)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/phonon/factory.cpp:139
#6  0x00002b035193c9e9 in *__GI_exit (status=1) at exit.c:75
#7  0x00002b034ea496d8 in qt_xio_errhandler ()
    at kernel/qapplication_x11.cpp:590
#8  0x00002b034ffd87c0 in KApplication::xioErrhandler (this=0x7fff5e2c8170,
    dpy=0x63faa0)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:418
#9  0x00002b034db577c4 in _XIOError (dpy=0x63faa0) at XlibInt.c:2940
#10 0x00002b034db59cff in _XEventsQueued (dpy=0x63faa0,
    mode=<value optimized out>) at XlibInt.c:788
#11 0x00002b034db48c5e in XEventsQueued (dpy=0x63faa0, mode=2) at Pending.c:44
#12 0x00002b034ea7b93c in x11EventSourceCheck (s=0x636460)
    at kernel/qguieventdispatcher_glib.cpp:89
#13 0x00002b0352b78c8d in IA__g_main_context_check (context=0x635920,
    max_priority=2147483647, fds=0x2b034d08dc60, n_fds=<value optimized out>)
    at gmain.c:2569
#14 0x00002b0352b79005 in g_main_context_iterate (context=0x635920, block=1,
    dispatch=1, self=<value optimized out>) at gmain.c:2691
#15 0x00002b0352b797ae in IA__g_main_context_iteration (context=0x635920,
    may_block=1) at gmain.c:2753
#16 0x00002b034cdbdf4e in QEventDispatcherGlib::processEvents (this=0x625fa0,
    flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:325
#17 0x00002b034ea7b99f in QGuiEventDispatcherGlib::processEvents (
    this=0x95d14c, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:204
#18 0x00002b034cd91318 in QEventLoop::processEvents (
    this=<value optimized out>, flags=<value optimized out>)
    at kernel/qeventloop.cpp:146
#19 0x00002b034cd9145a in QEventLoop::exec (this=0x7fff5e2c80b0,
    flags=@0x7fff5e2c80c0) at kernel/qeventloop.cpp:197
#20 0x00002b034cd936b0 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:838
#21 0x00000000004064cf in main (argc=1, argv=0x7fff5e2c8518)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/runtime/knotify/main.cpp:68
#22 0x00002b0351927b74 in __libc_start_main (main=0x405f40 <main>, argc=1,
    ubp_av=0x7fff5e2c8518, init=<value optimized out>,
    fini=<value optimized out>, rtld_fini=<value optimized out>,
    stack_end=0x7fff5e2c8508) at libc-start.c:229
#23 0x0000000000405ea9 in _start ()
#0  0x00002b034d08e897 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
Comment 8 Michael 2008-03-09 14:17:17 UTC
Here's another one with xine-lib emerged with debug (so the split-debug info should be more useful)

Application: KNotify (knotify4), signal SIGABRT
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0x2ac61bd46cf0 (LWP 18500)]
[New Thread 0x44808950 (LWP 18514)]
[New Thread 0x44007950 (LWP 18513)]
[New Thread 0x43806950 (LWP 18512)]
[New Thread 0x43005950 (LWP 18511)]
[New Thread 0x42804950 (LWP 18510)]
[New Thread 0x42003950 (LWP 18509)]
[New Thread 0x41802950 (LWP 18508)]
[New Thread 0x41001950 (LWP 18504)]
[New Thread 0x40800950 (LWP 18502)]
[KCrash handler]
#5  0x00002ac61a0eb3c5 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00002ac61a0ec73e in *__GI_abort () at abort.c:88
#7  0x00002ac61a0e4b1f in *__GI___assert_fail (
    assertion=0x2ac61f923350 "plug->gen.slave == plug->req_slave", 
    file=0x2ac61f92331a "pcm_plug.c", line=67, 
    function=0x2ac61f9235a0 "snd_pcm_plug_close") at assert.c:78
#8  0x00002ac61f8f6614 in snd_pcm_plug_close (pcm=0xe08200) at pcm_plug.c:67
#9  0x00002ac61f8e1b35 in snd_pcm_close (pcm=0xe08200) at pcm.c:707
#10 0x00002aaaab58ea47 in ao_alsa_open (this_gen=0x819400, bits=16, 
    rate=48000, mode=<value optimized out>) at audio_alsa_out.c:620
#11 0x00002ac61f65ccd3 in ao_change_settings (this=0x834e40, bits=16, rate=6, 
    mode=4) at audio_out.c:1438
#12 0x00002ac61f65ef7f in ao_open (this_gen=0x834e40, stream=0x7ce000, 
    bits=16, rate=44100, mode=4) at audio_out.c:1497
#13 0x00002aaab178f5b6 in vorbis_decode_data (this_gen=0xdf3450, 
    buf=<value optimized out>) at xine_vorbis_decoder.c:205
#14 0x00002ac61f6598a1 in audio_decoder_loop (
    stream_gen=<value optimized out>) at audio_decoder.c:360
#15 0x00002ac61583a047 in start_thread (arg=<value optimized out>)
    at pthread_create.c:296
#16 0x00002ac61a17b28d in clone () from /lib64/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x44808950 (LWP 18514)):
#0  0x00002ac61583e6a6 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00002ac61f66107b in xine_event_wait (queue=0xdce120) at events.c:56
#2  0x00002ac61f6610f5 in listener_loop (queue_gen=<value optimized out>)
    at events.c:214
#3  0x00002ac61583a047 in start_thread (arg=<value optimized out>)
    at pthread_create.c:296
#4  0x00002ac61a17b28d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x2ac61bd46cf0 (LWP 18500)):
#0  0x00002ac61583e897 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
#1  0x00002ac61545eb57 in QWaitCondition::wait (this=<value optimized out>, 
    mutex=0x95b620, time=10000) at thread/qwaitcondition_unix.cpp:86
#2  0x00002ac61545df76 in QThread::wait (this=<value optimized out>, 
    time=10000) at thread/qthread_unix.cpp:561
#3  0x00002ac61f3d4ee4 in ~XineEngine (this=0x72b770)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/runtime/phonon/xine/xineengine.cpp:86
#4  0x00002ac61f3e9c26 in ~Backend (this=0x727460)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/runtime/phonon/xine/backend.cpp:96
#5  0x00002ac618dcc36e in ~FactoryPrivate (this=0x708eb0)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/phonon/factory.cpp:139
#6  0x00002ac61a0ed9e9 in *__GI_exit (status=1) at exit.c:75
#7  0x00002ac6171fa6d8 in qt_xio_errhandler ()
    at kernel/qapplication_x11.cpp:590
#8  0x00002ac6187897c0 in KApplication::xioErrhandler (this=0x7fff95b18ff0, 
    dpy=0x648610)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:418
#9  0x00002ac6163087c4 in _XIOError (dpy=0x648610) at XlibInt.c:2940
#10 0x00002ac61630acff in _XEventsQueued (dpy=0x648610, 
    mode=<value optimized out>) at XlibInt.c:788
#11 0x00002ac6162f9c5e in XEventsQueued (dpy=0x648610, mode=2) at Pending.c:44
#12 0x00002ac61722c93c in x11EventSourceCheck (s=0x635e40)
    at kernel/qguieventdispatcher_glib.cpp:89
#13 0x00002ac61b329c8d in IA__g_main_context_check (context=0x635120, 
    max_priority=2147483647, fds=0x2ac61583dc60, n_fds=<value optimized out>)
    at gmain.c:2569
#14 0x00002ac61b32a005 in g_main_context_iterate (context=0x635120, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2691
#15 0x00002ac61b32a7ae in IA__g_main_context_iteration (context=0x635120, 
    may_block=1) at gmain.c:2753
#16 0x00002ac61556df4e in QEventDispatcherGlib::processEvents (this=0x625fa0, 
    flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:325
#17 0x00002ac61722c99f in QGuiEventDispatcherGlib::processEvents (
    this=0x95b70c, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:204
#18 0x00002ac615541318 in QEventLoop::processEvents (
    this=<value optimized out>, flags=<value optimized out>)
    at kernel/qeventloop.cpp:146
#19 0x00002ac61554145a in QEventLoop::exec (this=0x7fff95b18f30, 
    flags=@0x7fff95b18f40) at kernel/qeventloop.cpp:197
#20 0x00002ac6155436b0 in QCoreApplication::exec ()
    at kernel/qcoreapplication.cpp:838
#21 0x00000000004064cf in main (argc=1, argv=0x7fff95b19398)
    at /var/tmp/portage/kde-base/kdebase-9999.4/work/kdebase-9999.4/runtime/knotify/main.cpp:68
#22 0x00002ac61a0d8b74 in __libc_start_main (main=0x405f40 <main>, argc=1, 
    ubp_av=0x7fff95b19398, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, 
    stack_end=0x7fff95b19388) at libc-start.c:229
#23 0x0000000000405ea9 in _start ()
#0  0x00002ac61583e897 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
Comment 9 lexual 2008-04-09 12:54:31 UTC
I've just hit this bug with kde4.0 svn branch.
Let me know what additional info you need to help track this down.
Comment 10 lexual 2008-04-09 13:00:53 UTC
This is the error message that comes up ad infinitum.

Window Title: Error - Knotify <2>
Window Content:
Unable to use the Xine Multimedia Backend:
QLibrary::load_sys: Cannot load $HOME/kde/lib/kde4/phonon_xine.so (libkaudiodevicelist.so.4: cannot open shared object file: No such file or directory)
Comment 11 Lubos Lunak 2008-07-21 16:23:00 UTC
SVN commit 835987 by lunakl:

Remove emitting of aboutToQuit() from KApplication::xioErrhandler() - the application
is not about to quit, it is about to fall flat on its face. There is really not that
much to do once KDE apps lose their connection to the X server. How that can happen
while the X server still continues to run is a different question and I don't know
the answer. It is quite possible it is caused by careless usage of one X connection
from several threads concurrently without proper locking.

CCBUG: 166685
CCBUG: 166432
CCBUG: 166401
CCBUG: 166179
CCBUG: 165451
CCBUG: 165307
CCBUG: 165059
CCBUG: 164740
CCBUG: 164665
CCBUG: 163751
CCBUG: 163355
CCBUG: 161787
CCBUG: 160692
CCBUG: 160458
CCBUG: 158194
CCBUG: 158088
CCBUG: 157607
CCBUG: 154011
CCBUG: 151293
CCBUG: 146891
CCBUG: 146700
CCBUG: 146562
CCBUG: 144383
CCBUG: 143375
CCBUG: 141871
BUG: 140683
CCBUG: 139162
CCBUG: 134708
CCBUG: 133332
CCBUG: 128588
CCBUG: 112960



 M  +0 -1      kapplication.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=835987
Comment 12 Olivier Goffart 2008-07-21 18:02:11 UTC

*** This bug has been marked as a duplicate of 158088 ***